SendMessageAPI mirrors the erdo_send_message MCP tool.
curl --request POST \
--url https://api.erdo.ai/v1/threads/{threadID}/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_key": "<string>",
"async": true,
"context": "<string>",
"message": "<string>",
"thread_id": "<string>",
"timezone": "<string>"
}
'import requests
url = "https://api.erdo.ai/v1/threads/{threadID}/send"
payload = {
"agent_key": "<string>",
"async": True,
"context": "<string>",
"message": "<string>",
"thread_id": "<string>",
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_key: '<string>',
async: true,
context: '<string>',
message: '<string>',
thread_id: '<string>',
timezone: '<string>'
})
};
fetch('https://api.erdo.ai/v1/threads/{threadID}/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"answer": "<string>",
"error": "<string>",
"message_id": "<string>",
"status": "<string>",
"thread_id": "<string>"
}{
"code": "not_found",
"details": {},
"message": "<string>"
}API Reference
SendMessageAPI mirrors the erdo_send_message MCP tool.
POST
/
v1
/
threads
/
{threadID}
/
send
SendMessageAPI mirrors the erdo_send_message MCP tool.
Authorizations
An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).
Path Parameters
Body
application/json
GetThreadMessagesAPI mirrors the erdo_get_thread_messages MCP tool as a REST
endpoint.
ListTokensAPI lists the caller's API tokens. It never returns the token hash or
⌘I

